package thyyxxk.webserver.entity.examinations.inspections.response;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class ElectroIndex {
    @JSONField(name = "Name")
    private String name;

    @JSONField(name = "reqNo")
    private String reqNo;

    @JSONField(name = "AppliDate")
    private String applyDate;

    @JSONField(name = "DiagnosticMessage")
    private String diagnostic;

    @JSONField(name = "filePath")
    private String filePath;

    public String getReportUrl() {
        return filePath;
    }

    public String getExamPurpose() {
        return diagnostic;
    }

    public String getTrscDate() {
        return applyDate;
    }
}
